Page MenuHomePhabricator

Implement Ingenico Connect API calls to get payment status
Closed, ResolvedPublic4 Story Points

Description

https://developer.globalcollect.com/documentation/api/server/#__merchantId__hostedcheckouts__hostedCheckoutId__get

This will take two calls, one to get the hostedCheckout status

GET https://{domainname}/{version}/{merchantId}/hostedcheckouts/{hostedCheckoutId}

And one to get the status of any created payment attempt:

GET https://{domainname}/{version}/{merchantId}/payments/{paymentId}

Event Timeline

Ejegg created this task.Apr 26 2017, 9:43 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 26 2017, 9:43 PM
ggellerman triaged this task as Normal priority.May 2 2017, 9:28 PM
ggellerman set the point value for this task to 4.

Change 366167 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions/DonationInterface@master] WIP getHostedCheckoutStatus

https://gerrit.wikimedia.org/r/366167

Change 366167 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Ingenico Connect: getHostedCheckoutStatus

https://gerrit.wikimedia.org/r/366167

mepps closed this task as Resolved.Sep 26 2017, 8:16 PM
mepps moved this task from Review to Done on the Fundraising Sprint RadioActivewear board.